Bug 1643672 - SELinux is preventing xreader-thumbna from 'setattr' accesses on the Verzeichnis /usr/lib/fontconfig/cache.
Summary: SELinux is preventing xreader-thumbna from 'setattr' accesses on the Verzeich...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1cae951654f9d312e27921726c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-27 05:57 UTC by ingo
Modified: 2018-11-09 05:25 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.14.1-48.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-09 05:25:28 UTC
Type: ---


Attachments (Terms of Use)

Description ingo 2018-10-27 05:57:19 UTC
Description of problem:
SELinux is preventing xreader-thumbna from 'setattr' accesses on the Verzeichnis /usr/lib/fontconfig/cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that xreader-thumbna should be allowed setattr access on the cache directory by default.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'xreader-thumbna' --raw | audit2allow -M my-xreaderthumbna
# semodule -X 300 -i my-xreaderthumbna.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/fontconfig/cache [ dir ]
Source                        xreader-thumbna
Source Path                   xreader-thumbna
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           fontconfig-2.13.0-5.fc28.x86_64
                              fontconfig-2.13.0-5.fc28.i686
Policy RPM                    selinux-policy-3.14.1-47.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.18.16-200.fc28.x86_64 #1 SMP Sat
                              Oct 20 23:53:47 UTC 2018 x86_64 x86_64
Alert Count                   4
First Seen                    2018-10-27 07:55:11 CEST
Last Seen                     2018-10-27 07:56:19 CEST
Local ID                      a4a725cf-294b-4ae1-aecb-910c9e5f7b81

Raw Audit Messages
type=AVC msg=audit(1540619779.690:310): avc:  denied  { setattr } for  pid=11858 comm="xreader-thumbna" name="cache" dev="sda7" ino=535225 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=0


Hash: xreader-thumbna,thumb_t,lib_t,dir,setattr

Version-Release number of selected component:
selinux-policy-3.14.1-47.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.18.16-200.fc28.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2018-11-04 17:10:50 UTC
commit 5a2a313e3ac16c6411fd3dd949a836061b33a526 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Sun Nov 4 18:10:33 2018 +0100

    Dontaudit thumb_t domain to setattr on lib_t dirs BZ(1643672)

Comment 2 Fedora Update System 2018-11-05 08:21:10 UTC
selinux-policy-3.14.1-48.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8004d37878

Comment 3 Fedora Update System 2018-11-06 23:27:18 UTC
selinux-policy-3.14.1-48.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8004d37878

Comment 4 Fedora Update System 2018-11-09 05:25:28 UTC
selinux-policy-3.14.1-48.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.